# Verify and check in door entry ticket QR token
URL: /docs/api-reference/event-passes-tickets/verifyEventTicket

## POST `/api/v1/public/events/tickets/verify`

**Summary:** Verify and check in door entry ticket QR token
**Operation ID:** `verifyEventTicket`

Validates ticket token validity and marks attendee as checked in.

**Authentication:** `X-Api-Key: sk_live_...` or `Authorization: Bearer sk_live_...`

### Request Body (`application/json`)

```json
{
  "type": "object",
  "required": [
    "token"
  ],
  "properties": {
    "token": {
      "type": "string",
      "example": "TK-AB74X9"
    },
    "eventId": {
      "type": "string",
      "format": "uuid"
    }
  }
}
```

### Responses

- **`200`**: Verification outcome with attendee details

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "success"
    },
    "data": {
      "type": "object",
      "properties": {
        "verified": {
          "type": "boolean",
          "example": true
        },
        "attendeeName": {
          "type": "string",
          "example": "Kwame Mensah"
        },
        "ticketTier": {
          "type": "string",
          "example": "VIP"
        },
        "checkedInAt": {
          "type": "string",
          "format": "date-time"
        }
      }
    }
  }
}
```
- **`401`**: Authentication failed or API key missing